Module java.desktop
Package javax.swing

## Class JViewport.ViewListener

- java.lang.Object
- - java.awt.event.ComponentAdapter
  - - javax.swing.JViewport.ViewListener

- All Implemented Interfaces:
    `ComponentListener`, `Serializable`, `EventListener`
  Enclosing class:
    JViewport

      protected class JViewport.ViewListener
      extends ComponentAdapter
      implements Serializable

  A listener for the view.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ViewListener()` |

  - ### Method Summary

    - ### Methods declared in class java.awt.event.ComponentAdapter

      `componentHidden, componentMoved, componentResized, componentShown`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewListener

          protected ViewListener()